## kf6-kguiaddons 6.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.13.0") # handled by release scripts
project(KGuiAddons VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.13.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddQch)
include(ECMGenerateExportHeader)
include(ECMGeneratePkgConfigFile)
include(ECMMarkNonGuiExecutable)
include(ECMQmlModule)
include(CMakeDependentOption)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
option(BUILD_GEO_SCHEME_HANDLER "Build the geo: URI scheme handler. Disable this if you are building two major versions for co-installability in the older variant." ON)

if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    option(WITH_WAYLAND "Build with support for KModifierKeyInfo, KSystemClipboard and KKeySequenceRecorder inhibiting shortcuts on Wayland" ON)
    add_feature_info(WAYLAND ${WITH_WAYLAND} "KeySequenceEditor inhibiting shortcuts on Wayland")

    option(WITH_X11 "Build with support for KModifierKeyInfo on X11" ON)
    add_feature_info(X11 ${WITH_X11} "KeySequenceEditor inhibiting shortcuts on X11")
else()
    set(WITH_WAYLAND OFF)
    set(WITH_X11 OFF)
endif()

set(REQUIRED_QT_VERSION 6.6.0)

find_package(Qt6Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

if (WITH_WAYLAND)
    # Qt6GuiPrivate  must be found before Qt6WaylandClient
    if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
        find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    else()
        find_package(Qt6Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Private)
    endif()
endif()

if (WITH_X11)
    find_package(X11 REQUIRED MODULE)
    find_package(XCB REQUIRED MODULE COMPONENTS XCB)
    if(NOT QT_FEATURE_xcb)
        message(FATAL_ERROR "Qt xcb feature is missing for compilation with X11")
    endif()
endif()

if (WITH_WAYLAND)
    find_package(PlasmaWaylandProtocols 1.15.0 REQUIRED)
    find_package(Qt6WaylandClient ${REQUIRED_QT_VERSION} REQUIRED CONFIG)
    find_package(Wayland 1.9 REQUIRED Client)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus (get color scheme information via XDG portals)" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    set(WITH_DBUS ON)
endif()

if (ANDROID)
    find_package(Gradle REQUIRED)
endif()

# For the Python bindings
find_package(Python3 3.9 COMPONENTS Interpreter Development)
find_package(Shiboken6)
find_package(PySide6)

set(kguiaddons_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kguiaddons_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KGUIADDONS
                        VERSION_HEADER "${kguiaddons_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfigVersion.cmake"
                        SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.9
)

cmake_dependent_option(BUILD_PYTHON_BINDINGS "Generate Python Bindings" ON "TARGET Shiboken6::libshiboken AND TARGET PySide6::pyside6" OFF)
add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if (BUILD_PYTHON_BINDINGS)
    include(ECMGeneratePythonBindings)
    add_subdirectory(python)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6GuiAddons")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6GuiAddons_QCH
        FILE KF6GuiAddonsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6GuiAddonsQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6GuiAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6GuiAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


install(EXPORT KF6GuiAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6GuiAddonsTargets.cmake NAMESPACE KF6:: COMPONENT Devel)


install(FILES ${kguiaddons_version_header}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons COMPONENT Devel)

if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME KF6GuiAddons
      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KGuiAddons
      DEPS Qt6Gui
    INSTALL)
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kguiaddons (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 20:16:51 +0200

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.13.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.15.0~) [linux-any],
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-declarative-dev,
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.6.0~) [linux-any],
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons.git
Rules-Requires-Root: no

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5guiaddons-bin,
Replaces: libkf5guiaddons-bin,
Description: geographical URI helper
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains kde-geo-uri-handler for opening geographical URIs.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains architecture-independent shared data files for the
 kguiaddons framework.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.7.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         qt6-wayland-dev (>= 6.6.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains development files for building software that uses
 libraries from the kguiaddons framework.

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the qch documentation files for the kguiaddons
 framework.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: utilities for graphical user interfaces
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.

Package: qml6-module-org-kde-guiaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: QML binding for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the QML bindings for using KDE GUI addons inside QML
 applications.

## kf6-kguiaddons 6.16.0

=== debian/changelog ===
kf6-kguiaddons (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:42:36 +0100

kf6-kguiaddons (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.
  * debian/rules: Do not build python bindings.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:33:01 +0100

kf6-kguiaddons (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Build depend on wayland-protocols (>= 1.39~)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:57:33 +0100

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.16.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.5.0~) [linux-any],
               wayland-protocols (>= 1.39~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
Rules-Requires-Root: no

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
Replaces: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains kde-geo-uri-handler.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains shared data files.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.16.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qml6-module-org-kde-guiaddons (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         qt6-wayland-dev (>= 6.6.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 This package contains development files for building software that uses
 libraries from the kguiaddon framework

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the qch documentation files.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

Package: qml6-module-org-kde-guiaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

## kf6-kguiaddons 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -19,15 +19,12 @@
 include(ECMGenerateHeaders)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
-include(ECMAddQch)
 include(ECMGenerateExportHeader)
 include(ECMGeneratePkgConfigFile)
 include(ECMMarkNonGuiExecutable)
 include(ECMQmlModule)
-include(CMakeDependentOption)
+include(ECMGenerateQDoc)
 
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 option(BUILD_GEO_SCHEME_HANDLER "Build the geo: URI scheme handler. Disable this if you are building two major versions for co-installability in the older variant." ON)
 
 if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
@@ -41,7 +38,7 @@
     set(WITH_X11 OFF)
 endif()
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 
 find_package(Qt6Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
@@ -63,6 +60,7 @@
 endif()
 
 if (WITH_WAYLAND)
+    find_package(WaylandProtocols 1.39 REQUIRED)
     find_package(PlasmaWaylandProtocols 1.15.0 REQUIRED)
     find_package(Qt6WaylandClient ${REQUIRED_QT_VERSION} REQUIRED CONFIG)
     find_package(Wayland 1.9 REQUIRED Client)
@@ -83,11 +81,20 @@
 if (ANDROID)
     find_package(Gradle REQUIRED)
 endif()
+option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)
 
-# For the Python bindings
-find_package(Python3 3.9 COMPONENTS Interpreter Development)
-find_package(Shiboken6)
-find_package(PySide6)
+# Only Linux and FreeBSD CI has the relevant packages
+if (ANDROID OR APPLE OR WIN32 OR HAIKU OR NOT BUILD_SHARED_LIBS)
+    set(BUILD_PYTHON_BINDINGS OFF)
+endif()
+
+if (BUILD_PYTHON_BINDINGS)
+    find_package(Python3 3.9 REQUIRED COMPONENTS Interpreter Development)
+    find_package(Shiboken6 REQUIRED)
+    find_package(PySide6 REQUIRED)
+endif()
+
+add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")
 
 set(kguiaddons_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kguiaddons_version.h")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KGUIADDONS
@@ -96,11 +103,8 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9
+    QT 6.10
 )
-
-cmake_dependent_option(BUILD_PYTHON_BINDINGS "Generate Python Bindings" ON "TARGET Shiboken6::libshiboken AND TARGET PySide6::pyside6" OFF)
-add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")
 
 add_subdirectory(src)
 if (BUILD_TESTING)
@@ -115,16 +119,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6GuiAddons")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6GuiAddons_QCH
-        FILE KF6GuiAddonsQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6GuiAddonsQchTargets.cmake\")")
-endif()
 
 include(CMakePackageConfigHelpers)

=== src/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(kguiaddonsqml URI "org.kde.guiaddons" GENERATE_PLUGIN_SOURCE INSTALLED_PLUGIN_TARGET KF6::kguiaddonsqml)
target_sources(kguiaddonsqml PRIVATE types.h)
target_link_libraries(kguiaddonsqml PRIVATE KF6GuiAddons Qt6::Qml)
ecm_finalize_qml_module(kguiaddonsqml EXPORT KF6GuiAddonsTargets)

=== debian/changelog ===
kf6-kguiaddons (6.17.0-0ubuntu2) questing; urgency=medium

  * d/p/upstream_fix-copilot-key.patch: Fix Copilot key on newer
    laptops. (LP: #2123428)

 -- Rik Mills <rikmills@kde.org>  Mon, 22 Sep 2025 22:40:27 +0100

kf6-kguiaddons (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:15:17 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libwayland-dev (>= 1.9~) [linux-any],
                libx11-dev,
                libxcb1-dev,
@@ -52,7 +52,7 @@
 Package: libkf6guiaddons-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.16.0~),
+Depends: libkf6coreaddons-dev (>= 6.17.0~),
          libkf6guiaddons6 (= ${binary:Version}),
          qml6-module-org-kde-guiaddons (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0+dfsg~),

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/kguiaddons-(.*)\.tar\.xz

## kf6-kguiaddons 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)

include(ECMMarkAsTest)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test Widgets)

macro(kguiaddons_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt6::Widgets KF6::GuiAddons)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

kguiaddons_executable_tests(
  kcolorcollectiontest
  kmodifierkeyinfotest
  openurltest
  kcursorsavergui_test
  kcolorschemewatchertest
  kcountryflagemojiiconenginedemo
)

=== debian/changelog ===
kf6-kguiaddons (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Do not build Python-bindings.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:14:53 +0200

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.15.0~) [linux-any],
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.7.0~),
               qt6-declarative-dev,
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.7.0~) [linux-any],
               wayland-protocols (>= 1.39~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons.git
Rules-Requires-Root: no

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5guiaddons-bin,
Replaces: libkf5guiaddons-bin,
Description: geographical URI helper
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains kde-geo-uri-handler for opening geographical URIs.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains architecture-independent shared data files for the
 kguiaddons framework.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.7.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         qt6-wayland-dev (>= 6.7.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains development files for building software that uses
 libraries from the kguiaddons framework.

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the qch documentation files for the kguiaddons
 framework.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: utilities for graphical user interfaces
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.

Package: qml6-module-org-kde-guiaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: QML binding for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the QML bindings for using KDE GUI addons inside QML
 applications.

## kf6-kguiaddons 6.18.0+p24.04+vstable+git20250928.0544

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-kguiaddons (6.18.0+p24.04+vstable+git20250928.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 05:44:06 +0000

kf6-kguiaddons (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 22:56:36 +0000

kf6-kguiaddons (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:17:43 +0000

kf6-kguiaddons (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:21:39 +0000

kf6-kguiaddons (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:48:04 +0000

kf6-kguiaddons (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:34:08 +0000

kf6-kguiaddons (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:00:19 +0000

kf6-kguiaddons (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:59:24 +0000

kf6-kguiaddons (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:25:59 +0000

kf6-kguiaddons (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:44:34 +0000

kf6-kguiaddons (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:28:22 +0000

kf6-kguiaddons (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:30:37 +0000

kf6-kguiaddons (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:25:44 +0000

kf6-kguiaddons (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:32:46 +0000

kf6-kguiaddons (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:29:24 +0000

kf6-kguiaddons (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:42:37 +0000

kf6-kguiaddons (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:29:52 +1000

kf6-kguiaddons (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:55:54 +0000

kf6-kguiaddons (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:19:41 +0000

kf6-kguiaddons (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kguiaddons (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kguiaddons 6.18.0+p24.04+vstable+git20251005.1419

=== debian/changelog ===
kf6-kguiaddons (6.18.0+p24.04+vstable+git20251005.1419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 14:19:27 +0000

## kf6-kguiaddons 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== python/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Manuel Alcaraz Zambrano <manuelalcarazzam@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

set(bindings_library "KGuiAddons")

set(wrapped_header ${CMAKE_CURRENT_SOURCE_DIR}/bindings.h)
set(typesystem_file ${CMAKE_CURRENT_SOURCE_DIR}/bindings.xml)

set(generated_sources
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kguiaddons_module_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kcolormimedata_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kcolorschemewatcher_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kcolorutils_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kcountryflagemojiiconengine_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kcursorsaver_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kdatevalidator_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kfontutils_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kiconutils_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kjobwindows_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kkeysequencerecorder_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kmodifierkeyinfo_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/ksystemclipboard_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KGuiAddons/kwordwrap_wrapper.cpp)

ecm_generate_python_bindings(
    PACKAGE_NAME ${bindings_library}
    VERSION ${KF_VERSION}
    WRAPPED_HEADER ${wrapped_header}
    TYPESYSTEM ${typesystem_file}
    GENERATED_SOURCES ${generated_sources}
    DEPENDENCIES KF6::GuiAddons
    QT_VERSION ${REQUIRED_QT_VERSION}
    HOMEPAGE_URL "https://invent.kde.org/frameworks/kguiaddons"
    ISSUES_URL "https://bugs.kde.org/describecomponents.cgi?product=frameworks-kguiaddons"
    AUTHOR "The KDE Community"
    README ../README.md
)

target_link_libraries(${bindings_library} PRIVATE KF6::GuiAddons)

execute_process(COMMAND ${Python_EXECUTABLE} -Esc "import sysconfig; print(sysconfig.get_path('platlib', vars={'platbase': '${CMAKE_INSTALL_PREFIX}', 'base': '${CMAKE_INSTALL_PREFIX}'}))" OUTPUT_VARIABLE sysconfig_output)
string(STRIP ${sysconfig_output} PYTHON_INSTALL_DIR)

install(TARGETS ${bindings_library} LIBRARY DESTINATION "${PYTHON_INSTALL_DIR}")

=== src/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(kguiaddonsqml URI "org.kde.guiaddons" CLASS_NAME KGuiAddonsPlugin INSTALLED_PLUGIN_TARGET KF6::kguiaddonsqml)
target_sources(kguiaddonsqml PRIVATE
    kcolorutilssingleton.cpp
    kguiaddonsplugin.cpp
    types.h
)
target_link_libraries(kguiaddonsqml PRIVATE KF6GuiAddons Qt6::Qml)
ecm_finalize_qml_module(kguiaddonsqml EXPORT KF6GuiAddonsTargets)

=== debian/changelog ===
kf6-kguiaddons (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Drop included upstream_fix-copilot-key.patch
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:05:48 +0100

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.5.0~) [linux-any],
               wayland-protocols (>= 1.39~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kguiaddons
Rules-Requires-Root: no

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
Replaces: libkf5guiaddons-bin (<< 5.116.0-0ubuntu2~),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains kde-geo-uri-handler.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text
 .
 This package contains shared data files.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.19.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qml6-module-org-kde-guiaddons (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         qt6-wayland-dev (>= 6.6.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 This package contains development files for building software that uses
 libraries from the kguiaddon framework

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: additional addons for QtGui (documentation)
 Qt widgets for colours, fonts and text
 .
 This package contains the qch documentation files.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

Package: qml6-module-org-kde-guiaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: additional addons for QtGui
 Qt widgets for colours, fonts and text

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifneq (linux,$(DEB_HOST_ARCH_OS))
	EXTRA_CMAKE_ARGS += -DWITH_WAYLAND=OFF
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF -DBUILD_PYTHON_BINDINGS=OFF $(EXTRA_CMAKE_ARGS)

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kf6-kguiaddons 6.19.0+p24.04+vstable+git20251008.0747

=== debian/changelog ===
kf6-kguiaddons (6.19.0+p24.04+vstable+git20251008.0747-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:47:47 +0000

kf6-kguiaddons (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:57:04 +0000

## kf6-kguiaddons 6.19.0+p24.04+vstable+git20251015.0745

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-kguiaddons (6.19.0+p24.04+vstable+git20251015.0745-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:45:40 +0000

## kf6-kguiaddons 6.19.0+p24.04+vstable+git20251024.0105

=== debian/changelog ===
kf6-kguiaddons (6.19.0+p24.04+vstable+git20251024.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:05:25 +0000

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libclang-dev,
               libpyside6-dev,
               libpython3-dev,
               libshiboken6-dev,
               libwayland-dev,
               libx11-dev,
               libxcb1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               pyside6-tools,
               python3-build,
               python3-dev,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-wayland-dev,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: http://projects.kde.org/kguiaddons
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kguiaddons.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kguiaddons
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kguiaddons
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: python3, python3-pyside6.qtcore, ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5guiaddons-bin (<< 5.115.0-1), libkf5guiaddons-data (<< 5.115.0-1)
Replaces: libkf5guiaddons-bin (<< 5.115.0-1),
          libkf5guiaddons-data (<< 5.115.0-1),
          libkf6guiaddons-bin,
          libkf6guiaddons-data,
          libkf6guiaddons6
Description: Additional addons for QtGui.
 Qt widgets for colours, fonts and text

Package: kf6-kguiaddons-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kguiaddons (= ${binary:Version}),
         qt6-base-dev,
         qt6-wayland-dev,
         ${misc:Depends}
Replaces: libkf6guiaddons-dev, libkf6guiaddons-doc
Description: Additional addons for QtGui.
 Qt widgets for colours, fonts and text
 .
 This package contains development files for building software that uses
 libraries from the kguiaddon framework

Package: libkf6guiaddons-bin
Architecture: all
Depends: kf6-kguiaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6guiaddons-data
Architecture: all
Depends: kf6-kguiaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6guiaddons-doc
Architecture: all
Depends: kf6-kguiaddons-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6guiaddons6
Architecture: all
Depends: kf6-kguiaddons, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6guiaddons-dev
Architecture: all
Depends: kf6-kguiaddons-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kguiaddons 6.19.0+p24.04+vunstable+git20251020.0119

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
     set(WITH_X11 OFF)
 endif()
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6Gui ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
kf6-kguiaddons (6.19.0+p24.04+vunstable+git20251020.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:19:55 +0000

## kf6-kguiaddons 6.19.0+p24.04+vunstable+git20251021.0326

=== debian/changelog ===
kf6-kguiaddons (6.19.0+p24.04+vunstable+git20251021.0326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:26:18 +0000

## kf6-kguiaddons 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kguiaddons (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:12:29 +0100

=== debian/control ===
Source: kf6-kguiaddons
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libwayland-dev (>= 1.9~) [linux-any],
               libx11-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.15.0~) [linux-any],
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
               qt6-declarative-dev,
               qt6-tools-dev (>= 6.5.0~),
               qt6-wayland-dev (>= 6.8.0~) [linux-any],
               wayland-protocols (>= 1.39~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kguiaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kguiaddons.git
Rules-Requires-Root: no

Package: libkf6guiaddons-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5guiaddons-bin,
Replaces: libkf5guiaddons-bin,
Description: geographical URI helper
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains kde-geo-uri-handler for opening geographical URIs.

Package: libkf6guiaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains architecture-independent shared data files for the
 kguiaddons framework.

Package: libkf6guiaddons-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.7.0~),
         libkf6guiaddons6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         qt6-wayland-dev (>= 6.8.0~) [linux-any],
         ${misc:Depends},
Recommends: libkf6guiaddons-doc (= ${source:Version}),
Description: development headers for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains development files for building software that uses
 libraries from the kguiaddons framework.

Package: libkf6guiaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: documentation files for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the qch documentation files for the kguiaddons
 framework.

Package: libkf6guiaddons6
Architecture: any
Multi-Arch: same
Depends: libkf6guiaddons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6guiaddons-bin (= ${binary:Version}),
Description: utilities for graphical user interfaces
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.

Package: qml6-module-org-kde-guiaddons
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: QML binding for the kguiaddons framework
 The KDE GUI addons provide utilities for graphical user interfaces in the
 areas of colors, fonts, text, images, keyboard input.
 .
 This package contains the QML bindings for using KDE GUI addons inside QML
 applications.

## kf6-kguiaddons 6.20.0+p24.04+vunstable+git20251202.0751

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 project(KGuiAddons VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
kf6-kguiaddons (6.20.0+p24.04+vunstable+git20251202.0751-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 07:51:32 +0000

kf6-kguiaddons (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:50 +1000
